Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IVideoFrameTransceiverEx Class Referenceabstract

`#include <video_node_i.h>`

Inherits agora::rtc::IVideoFrameTransceiver.

## Public Member Functions
virtual int | onFrame (const webrtc::VideoFrame &videoFrame)=0
virtual void | registerFrameCallback (::rtc::VideoSinkInterface< webrtc::VideoFrame > *dataCallback)=0
virtual void | deRegisterFrameCallback (::rtc::VideoSinkInterface< webrtc::VideoFrame > *dataCallback)=0
virtual void | observeTxDelay (ILocalVideoTrack *track)=0
virtual int | addVideoTrackLLApiInternal (agora_refptr< IVideoTrack > track)=0
virtual int | removeVideoTrackLLApiInternal (agora_refptr< IVideoTrack > track)=0
Public Member Functions inherited from agora::rtc::IVideoFrameTransceiver
virtual int | getTranscodingDelayMs ()=0
virtual int | addVideoTrack (agora_refptr< IVideoTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | removeVideoTrack (agora_refptr< IVideoTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Member Function Documentation

## ◆ onFrame()

virtual int agora::rtc::IVideoFrameTransceiverEx::onFrame | ( | const webrtc::VideoFrame & | videoFrame | ) |
| pure virtual

## ◆ registerFrameCallback()

virtual void agora::rtc::IVideoFrameTransceiverEx::registerFrameCallback | ( | ::rtc::VideoSinkInterface< webrtc::VideoFrame > * | dataCallback | ) |
| pure virtual

## ◆ deRegisterFrameCallback()

virtual void agora::rtc::IVideoFrameTransceiverEx::deRegisterFrameCallback | ( | ::rtc::VideoSinkInterface< webrtc::VideoFrame > * | dataCallback | ) |
| pure virtual

## ◆ observeTxDelay()

virtual void agora::rtc::IVideoFrameTransceiverEx::observeTxDelay | ( | ILocalVideoTrack * | track | ) |
| pure virtual

## ◆ addVideoTrackLLApiInternal()

virtual int agora::rtc::IVideoFrameTransceiverEx::addVideoTrackLLApiInternal | ( | agora_refptr< IVideoTrack > | track | ) |
| pure virtual

## ◆ removeVideoTrackLLApiInternal()

virtual int agora::rtc::IVideoFrameTransceiverEx::removeVideoTrackLLApiInternal | ( | agora_refptr< IVideoTrack > | track | ) |
| pure virtual